org.fourthline.cling.binding.xml

## Class UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<I>

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.seamless.xml.SAXParser.Handler<I>
    - - org.fourthline.cling.binding.xml.UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<I>

- All Implemented Interfaces:
    ContentHandler, DTDHandler, EntityResolver, ErrorHandler
  Direct Known Subclasses:
    UDA10DeviceDescriptorBinderSAXImpl.DeviceHandler, UDA10DeviceDescriptorBinderSAXImpl.DeviceListHandler, UDA10DeviceDescriptorBinderSAXImpl.IconHandler, UDA10DeviceDescriptorBinderSAXImpl.IconListHandler, UDA10DeviceDescriptorBinderSAXImpl.RootHandler, UDA10DeviceDescriptorBinderSAXImpl.ServiceHandler, UDA10DeviceDescriptorBinderSAXImpl.ServiceListHandler, UDA10DeviceDescriptorBinderSAXImpl.SpecVersionHandler
  Enclosing class:
    UDA10DeviceDescriptorBinderSAXImpl

      protected static class UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<I>
      extends org.seamless.xml.SAXParser.Handler<I>

- - ### Field Summary

    - ### Fields inherited from class org.seamless.xml.SAXParser.Handler

      `attributes, characters, instance, parent, parser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceDescriptorHandler(I instance)`
    `DeviceDescriptorHandler(I instance, org.seamless.xml.SAXParser parser)`
    `DeviceDescriptorHandler(I instance, org.seamless.xml.SAXParser parser, UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler parent)`
    `DeviceDescriptorHandler(I instance, UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endElement(Descriptor.Device.ELEMENT element)`
    `void` | `endElement(String uri, String localName, String qName)`
    `boolean` | `isLastElement(Descriptor.Device.ELEMENT element)`
    `protected boolean` | `isLastElement(String uri, String localName, String qName)`
    `void` | `startElement(Descriptor.Device.ELEMENT element, Attributes attributes)`
    `void` | `startElement(String uri, String localName, String qName, Attributes attributes)`

    - ### Methods inherited from class org.seamless.xml.SAXParser.Handler

      `characters, getAttributes, getCharacters, getInstance, getParent, getParser, switchToParent`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeviceDescriptorHandler

          public DeviceDescriptorHandler(I instance)

    - #### DeviceDescriptorHandler

          public DeviceDescriptorHandler(I instance,
                                         org.seamless.xml.SAXParser parser)

    - #### DeviceDescriptorHandler

          public DeviceDescriptorHandler(I instance,
                                         UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler parent)

    - #### DeviceDescriptorHandler

          public DeviceDescriptorHandler(I instance,
                                         org.seamless.xml.SAXParser parser,
                                         UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler parent)

  - ### Method Detail

    - #### startElement

          public void startElement(String uri,
                                   String localName,
                                   String qName,
                                   Attributes attributes)
                            throws SAXException

      Specified by:
        `startElement` in interface `ContentHandler`
      Overrides:
        `startElement` in class `org.seamless.xml.SAXParser.Handler<I>`
      Throws:
        `SAXException`

    - #### endElement

          public void endElement(String uri,
                                 String localName,
                                 String qName)
                          throws SAXException

      Specified by:
        `endElement` in interface `ContentHandler`
      Overrides:
        `endElement` in class `org.seamless.xml.SAXParser.Handler<I>`
      Throws:
        `SAXException`

    - #### isLastElement

          protected boolean isLastElement(String uri,
                                          String localName,
                                          String qName)

      Overrides:
        `isLastElement` in class `org.seamless.xml.SAXParser.Handler<I>`

    - #### startElement

          public void startElement(Descriptor.Device.ELEMENT element,
                                   Attributes attributes)
                            throws SAXException

      Throws:
        `SAXException`

    - #### endElement

          public void endElement(Descriptor.Device.ELEMENT element)
                          throws SAXException

      Throws:
        `SAXException`

    - #### isLastElement

          public boolean isLastElement(Descriptor.Device.ELEMENT element)

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.